# coding: utf-8
from south.v2 import SchemaMigration


class Migration(SchemaMigration):

    # В связи с тем, что M2M-модель для поля Role.permissions была определена
    # вручную, понадобилось зафиксировать изменения в описании миграций
    # (Migration.models). Но поскольку в БД никаких изменений быть не должно,
    # то и миграция пустая.

    def forwards(self, orm):
        pass

    def backwards(self, orm):
        pass

    models = {
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'rbac.permission': {
            'Meta': {'object_name': 'Permission'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'rbac.role': {
            'Meta': {'object_name': 'Role'},
            'can_be_assigned': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '300', 'db_index': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'roles'", 'symmetrical': 'False', 'through': "orm['rbac.RolePermission']", 'to': "orm['rbac.Permission']"})
        },
        'rbac.roleparent': {
            'Meta': {'unique_together': "(('parent', 'role'),)", 'object_name': 'RoleParent'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'to': "orm['rbac.Role']"}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'to': "orm['rbac.Role']"})
        },
        'rbac.rolepermission': {
            'Meta': {'unique_together': "(('role', 'permission'),)", 'object_name': 'RolePermission', 'db_table': "'rbac_role_permissions'"},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'permission': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rbac.Permission']"}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rbac.Role']"})
        },
        'rbac.userrole': {
            'Meta': {'object_name': 'UserRole'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'date_from': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'date_to': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'object_id': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rbac.Role']"})
        }
    }

    complete_apps = ['rbac']
